//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;
using RosMessageTypes.HlrcServer;

namespace RosMessageTypes.Server
{
    [Serializable]
    public class TTSResult : Message
    {
        public const string k_RosMessageName = "hlrc_server/ttsResult";
        public override string RosMessageName => k_RosMessageName;

        // response
        public UtteranceMsg utterance;

        public TTSResult()
        {
            this.utterance = new UtteranceMsg();
        }

        public TTSResult(UtteranceMsg utterance)
        {
            this.utterance = utterance;
        }

        public static TTSResult Deserialize(MessageDeserializer deserializer) => new TTSResult(deserializer);

        private TTSResult(MessageDeserializer deserializer)
        {
            this.utterance = UtteranceMsg.Deserialize(deserializer);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.utterance);
        }

        public override string ToString()
        {
            return "TTSResult: " +
            "\nutterance: " + utterance.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Result);
        }
    }
}
